<div class="page-wrapper page-signup">
    <div class="wrapper">
        <div class="main-body">
            <div class="body-inner">
                <div class="card bg-white">
                    <div class="card-content">
                        <section class="logo-container">
                            <img class="logo" src="../../assets/images/background/zf.svg">
                        </section>

                        <form class="form-horizontal" name="signup_form" data-ng-submit="signup(user, signup_form);">
                            <fieldset>
                                <md-input-container>
                                    <label class="placeholder-label">Email</label>
                                    <input
                                        type="email"
                                        name="email"
                                        id="email"
                                        required
                                        disabled
                                        ng-model="user.email"
                                        ng-pattern="/^.+@.+\..+$/"
                                        class="form-control"/>
                                    <div ng-messages="signup_form.email.$error" ng-if="signup_form.email.$dirty">
                                        <div ng-message="required">Required</div>
                                        <div ng-message="pattern">Invalid format</div>
                                    </div>
                                </md-input-container>
                                <md-input-container>
                                    <span class="input-bar"></span>
                                    <label class="placeholder-label">Username</label>
                                    <input
                                        ng-change="onChange(signup_form.username);"
                                        type="text"
                                        name="username"
                                        id="username"
                                        required
                                        autocomplete="new-password"
                                        ng-model="user.username"
                                        class="form-control"
                                        ng-minlength="3" ng-maxlength="50" ng-pattern="/^[A-Za-z0-9_-]+$/" />
                                    <div ng-messages="signup_form.username.$error">
                                        <div ng-repeat="validation in VALIDATIONS.username" ng-message="{{validation.name}}">
                                            <span ng-if="validation.additional">
                                                <md-tooltip md-direction="top">{{ validation.additional }}</md-tooltip>
                                                {{ validation.message }}
                                            </span>
                                            <span ng-if="! validation.additional">{{ validation.message }}</span>
                                        </div>
                                        <div ng-message="validationError">{{ signup_form.username.errorMessage }}</div>
                                    </div>
                                </md-input-container>
                                <md-input-container>
                                    <span class="input-bar"></span>
                                    <label class="placeholder-label">Password</label>
                                    <input
                                        autocomplete="new-password"
                                        type="password"
                                        name="password"
                                        id="password"
                                        ng-model="user.password"
                                        ng-minlength="::UtilService.getValidationValue('password', 'minlength')"
                                        ng-maxlength="::UtilService.getValidationValue('password', 'maxlength')"
                                        ng-pattern="::UtilService.getValidationValue('password', 'pattern')"
                                        required
                                        />
                                    <div ng-messages="signup_form.password.$error" ng-if="signup_form.password.$dirty">
                                        <div ng-repeat="validation in ::UtilService.validations.password" ng-message="{{validation.name}}">
                                            <span ng-if="validation.additional">
                                                <md-tooltip md-direction="top">{{ validation.additional }}</md-tooltip>
                                                {{ validation.message }}
                                            </span>
                                            <span ng-if="! validation.additional">{{ validation.message }}</span>
                                        </div>
                                    </div>
                                </md-input-container>
                            </fieldset>
                            <div layout="row" class="button-container" layout-align="space-between">
                                <span class="additional-action">Already have an account? <a class="additional-action__link" ui-sref="signin">Login</a></span>
                                <md-button type="submit"
                                           id="signup"
                                           class="btn-w-sm md-primary signup"
                                           ng-disabled="signup_form.$invalid">Start</md-button>
                            </div>
                        </form>

                        <copyright></copyright>
                    </div>

                    <div class="additional-background">
                        <div class="version-container"></div>
                        <bg-instance></bg-instance>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

